#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Pango.Objects.Context where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Context = Context (ManagedPtr Context)
instance GObject Context where
class (GObject o, O.IsDescendantOf Context o) => IsContext o
instance (GObject o, O.IsDescendantOf Context o) => IsContext o
instance O.HasParentTypes Context
#if ENABLE_OVERLOADING
data ContextChangedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetBaseDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetBaseGravityMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetFontDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetFontMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetGravityMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetGravityHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetLanguageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetMatrixMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetMetricsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextGetSerialMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextListFamiliesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextLoadFontMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextLoadFontsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetBaseDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetBaseGravityMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetFontDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetFontMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetGravityHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetLanguageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextSetMatrixMethodInfo
#endif
