#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Pango.Objects.Renderer where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Renderer = Renderer (ManagedPtr Renderer)
instance GObject Renderer where
class (GObject o, O.IsDescendantOf Renderer o) => IsRenderer o
instance (GObject o, O.IsDescendantOf Renderer o) => IsRenderer o
instance O.HasParentTypes Renderer
#if ENABLE_OVERLOADING
data RendererActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDeactivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawErrorUnderlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawGlyphMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawGlyphItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawGlyphsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawLayoutLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawRectangleMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererDrawTrapezoidMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererGetAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererGetColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererGetLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererGetLayoutLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererGetMatrixMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererPartChangedMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererSetAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererSetColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data RendererSetMatrixMethodInfo
#endif
